org.vishia.commander

## Class Fcmd.FcmdMainCmd

- java.lang.Object
- - org.vishia.mainCmd.MainCmd
  - - org.vishia.gral.area9.GralArea9MainCmd
    - - org.vishia.commander.Fcmd.FcmdMainCmd

- All Implemented Interfaces:
    MainCmd_ifc, MainCmdLogging_ifc, Report, LogMessage
  Enclosing class:
    Fcmd

      private static class Fcmd.FcmdMainCmd
      extends GralArea9MainCmd

  This class is instantiated in the static main routine and builds a command line interface and the graphical frame. The mainly functionality is contained in the super class.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.vishia.mainCmd.MainCmd

      `MainCmd.Argument, MainCmd.SetArgument`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Fcmd.CallingArgs` | `cargs`

    - ### Fields inherited from class org.vishia.gral.area9.GralArea9MainCmd

      `gralMng, gui, version`

    - ### Fields inherited from class org.vishia.mainCmd.MainCmd

      `argList, bHelpIswritten, cmdLineArgs, currdir, dateFormatMsg, errCmdline, fReport, kError_writeInfoDirectly, kInfo_writeInfoDirectly, kInfoln_writeInfoDirectly, kWarning_writeInfoDirectly, listAboutInfo, listHelpInfo, logMessageImplReport, mError_writeInfoDirectly, mNewln_writeInfoDirectly, msgDisp, mWarning_writeInfoDirectly, nLevelDisplayToReport, nLogLevel, nReportLevelDisplay, outCmdline, sVersion`

    - ### Fields inherited from interface org.vishia.mainCmd.MainCmdLogging_ifc

      `anytime, debug, error, eventOrder, exitSuccessfull, exitUserAbort, exitWithArgumentError, exitWithErrors, exitWithFileProblems, exitWithNotes, exitWithWarnings, fineDebug, fineEventOrder, fineInfo, info, interested, mNeverOutputToDisplay, mReportLevel, warning`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdMainCmd(Fcmd.CallingArgs cargs, java.lang.String[] args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkArguments()` Checks the cmdline arguments relation together.
    `protected boolean` | `testArgument(java.lang.String arg, int nArg)` Tests one argument.

    - ### Methods inherited from class org.vishia.gral.area9.GralArea9MainCmd

      `callWithoutArguments, exit, parseArgumentsAndInitGraphic, parseArgumentsAndInitGraphic`

    - ### Methods inherited from class org.vishia.mainCmd.MainCmd

      `addAboutInfo, addArgument, addHelpInfo, addMsgConfig, addStandardHelpInfo, close, currdir, executeCmdLine, executeCmdLine, executeCmdLine, executeCmdLine, executeCmdLine, executeCmdLine, flush, flushReport, getArgument, getExitErrorLevel, getLogging_ifc, getLogMessageErrorConsole, getLogMessageOutputConsole, getLogMessageOutputFile, getReportFileName, getReportLevel, getReportLevelFromIdent, isOnline, openReportfile, parseArguments, parseArguments, report, report, reportln, reportln, sendMsg, sendMsgTime, sendMsgVaList, setcurrdir, setExitErrorLevel, setLogMessageDestination, setOutputChannels, setReportLevel, setReportLevelToIdent, startCmdLine, startCmdLine, switchToWindowOrStartCmdline, writeAboutInfo, writeDirectly, writeError, writeError, writeErrorDirectly, writeHelpInfo, writeInfo, writeInfoln, writeStackTrace, writeWarning, XXXassertion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cargs

          private final Fcmd.CallingArgs cargs

  - ### Constructor Detail

    - #### FcmdMainCmd

          public FcmdMainCmd(Fcmd.CallingArgs cargs,
                             java.lang.String[] args)

  - ### Method Detail

    - #### testArgument

          protected boolean testArgument(java.lang.String arg,
                                         int nArg)

      Description copied from class: `GralArea9MainCmd`
      Tests one argument. This method is invoked from parseArgument. It is abstract in the superclass MainCmd and must be overwritten from the user. :TODO: user, test and evaluate the content of the argument string or test the number of the argument and evaluate the content in dependence of the number.
      Overrides:
        `testArgument` in class `GralArea9MainCmd`
      Parameters:
        `arg` - The argument to test
        `nArg` - number of the argument in order of the command line, the first argument is number 1.
      Returns:
        true is okay, false if the argument doesn't match. The parseArgument method in MainCmd throws an exception, the application should be aborted.

    - #### checkArguments

          protected boolean checkArguments()

      Description copied from class: `GralArea9MainCmd`
      Checks the cmdline arguments relation together. If there is an inconsistents, a message should be written. It may be also a warning. :TODO: the user only should determine the specific checks, this is a sample.
      Overrides:
        `checkArguments` in class `GralArea9MainCmd`
      Returns:
        true if successfull, false if failed.